Foreman - Feature #29590

new report template to list all the installed packages
04/22/2020 08:49 AM - Waldirio Pinheiro

Status: Closed
Priority: Normal
Assignee: Waldirio Pinheiro
Category: Reporting
Target version:
Difficulty: easy Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: 1826648 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9487,
https://github.com/theforeman/foreman/p
ull/9675,
https://github.com/theforeman/foreman/p
ull/9710
Description

Description of problem:
The customer would like to generate a list of the installed packages for a system or all of them.

Version-Release number of selected component (if applicable):
6.7

How reproducible:
100%

Steps to Reproduce:
1. Install satellite 6.7
2. Create the report template
3. Copy/paste the code below

Actual results:
We don't ship this report on Satellite 6.7

Expected results:
Be able to run this report template and generate the list when necessary

Additional info:

$ cat host_-_all_installed_packages.erb
<%#

name: Host - All Installed Packages
snippet: false

template_inputs:

- name: hosts

required: false

input_type: user

advanced: false

value_type: plain

resource_type: Katello::ActivationKey
hidden_value: false

model: ReportTemplate

>

< load_hosts(search: input('hosts')).each_record do |host| >

<—hestinstalled—packages-each-do{pkgl—
< report_row(

'Host": host.name,

'Package Name': pkg.name,
'Package NVRA': pkg.nvra,
'Package NVREA'": pkg.nvrea
)-Yo>

<% end>

<end—
<=repori—render—%>

Associated revisions

Revision b323ceca - 11/01/2022 02:41 PM - lan Ballou
Fixes #29590 - Katello report template for listing host packages (#9487)

Revision 5fff852e - 04/28/2023 06:00 AM - Bernhard Suttner
Refs #29590 - add debian pkgs to installed packages report

Co-authored-by: Jonas Tristedt <truestedt@atix.de>

History

#1 - 04/22/2020 08:55 AM - Waldirio Pinheiro
- Pull request https://github.com/theforeman/community-templates/pull/720 added

#2 - 05/31/2020 01:40 PM - Amir Fefer
- Status changed from New to Ready For Testing

#3 - 05/31/2020 01:41 PM - Amir Fefer
- Project changed from Templates to Foreman

- Category set to Reporting

#4 - 09/16/2022 02:31 PM - Eric Helms
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/community-templates/pull/720)

#5 - 10/27/2022 08:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9487 added

#6 - 11/01/2022 02:41 PM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#7 - 11/01/2022 03:02 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b323ceca04e37b3958ffa3fc60c098f78098cbfd.

#8 - 11/28/2022 01:51 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#9 - 04/12/2023 08:24 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9675 added

#10 - 05/16/2023 03:51 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9710 added
